Subject: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

From: Artur Malabarba <[email-masked]>
Date: Wed, 24 Jun 2015 08:52:15 +0100

I don't know. Frankly, a bootstrap of 5 min seems incredibly fast, :)
mine always takes at least 10.

When I reporte the change added 5 sec to compile time, I was testing
the following:
    (benchmark-run 1 (byte-compile-file (buffer-file-name)))
which reports 3.13 seconds for me.

Does anyone know what could cause these 4 seconds to become 5 min
during bootstrap?
Does bootstrap compile the file 60 times? =P

If botstrap loads that code without compiling first, then it could
take about 10 seconds, but that still doesn't account for so much.

2015-06-24 8:06 GMT+01:00 Glenn Morris <[email-masked]>:
> Paul Eggert wrote:
>
>> When I run 'make bootstrap' now it's veerrrrry slow, hanging after this output:
>>
>> ...
>> Reloading stale subr-x.el
>> Loading /home/eggert/src/gnu/emacs/tmn/lisp/emacs-lisp/subr-x.el (source)...
>> Reloading stale isearch.el
>> Loading /home/eggert/src/gnu/emacs/tmn/lisp/isearch.el (source)...
>
> How can a bootstrap have stale files...? Mine doesn't.
> But yes, dumping bootstrap-emacs is now ridiculously slow (~ 5 minutes).
> I would like to know where Artur bought his laptop [1], which by my
> estimate must run at about 200GHz.
>
> [1] http://lists.gnu.org/archive/html/emacs-devel/2015-06/msg00426.html